GET
/account-sets/{accountSetId}/balanceGet aggregated balance for all accounts in this set
Get aggregated balance for the account set
Parameters
| Name | In | Type | Description |
|---|---|---|---|
accountSetIdrequired | path | string uuid | Account Set UUID |
Responses
200Balance retrieved
{
"success": true,
"data": {
"account_set_id": "01997c1e-4d2a-7c3e-9a1b-2f0e8c6d4b5a",
"account_set_code": "string",
"account_set_name": "string",
"total_balance": "1000.00",
"currency": "USD",
"account_count": 0
}
} 401Unauthenticated
{
"success": false,
"message": "Validation failed",
"code": "VALIDATION_ERROR"
} 403Forbidden
{
"success": false,
"message": "Validation failed",
"code": "VALIDATION_ERROR"
} 404Account set not found
{
"success": false,
"message": "Validation failed",
"code": "VALIDATION_ERROR"
} Examples
curl https://ledga.io/api/v1/account-sets/{accountSetId}/balance \
-H "Authorization: Bearer sk_xxxxxxxx_your_secret" use Ledga\Api\LedgaClient;
$ledga = new LedgaClient('sk_xxxxxxxx_your_secret');
$balance = $ledga->accountSets->getBalance('01997c1e-4d2a-7c3e-9a1b-2f0e8c6d4b5a');